> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Config All

> Get cell with full config.



## OpenAPI

````yaml get /getConfigAll
openapi: 3.1.0
info:
  title: TON HTTP API
  description: >

    This API enables HTTP access to TON blockchain - getting accounts and
    wallets information, looking up blocks and transactions, sending messages to
    the blockchain, calling get methods of smart contracts, and more.


    In addition to REST API, all methods are available through [JSON-RPC
    endpoint](#json%20rpc)  with `method` equal to method name and `params`
    passed as a dictionary.


    The response contains a JSON object, which always has a boolean field `ok`
    and either `error` or `result`. If `ok` equals true, the request was
    successful and the result of the query can be found in the `result` field.
    In case of an unsuccessful request, `ok` equals false and the error is
    explained in the `error`.


    API Key should be sent either as `api_key` query parameter or `X-API-Key`
    header.
  version: 2.0.0
servers:
  - url: https://toncenter.com/api/v2
  - url: https://testnet.toncenter.com/api/v2
security: []
tags:
  - name: accounts
    description: Information about accounts.
  - name: blocks
    description: Information about blocks.
  - name: transactions
    description: Fetching and locating transactions.
  - name: get config
    description: Get blockchain config
  - name: run method
    description: Run get method of smart contract.
  - name: send
    description: Send data to blockchain.
  - name: json rpc
    description: JSON-RPC endpoint.
paths:
  /getConfigAll:
    get:
      tags:
        - get config
      summary: Get Config All
      description: Get cell with full config.
      operationId: get_config_all_getConfigAll_get
      parameters:
        - description: >-
            Masterchain seqno. If not specified, latest blockchain state will be
            used.
          required: false
          schema:
            type: integer
            title: Seqno
            description: >-
              Masterchain seqno. If not specified, latest blockchain state will
              be used.
          name: seqno
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConfigAllResponse'
              examples:
                sample:
                  summary: All config parameters example
                  value:
                    ok: true
                    result:
                      '@type': configInfo
                      config:
                        '@type': tvm.cell
                        bytes: >-
                          te6cckIDB4wAAQAAARdQAAAACASAAAQAgLgYAAAAAgAAAAAAAQAAAAA=
                      '@extra': 1755815324.351419:11:0.2985065689610278
        '422':
          description: Validation Error
        '504':
          description: Lite Server Timeout
      security: []
components:
  schemas:
    GetConfigAllResponse:
      allOf:
        - $ref: '#/components/schemas/TonResponse'
        - type: object
          properties:
            result:
              $ref: '#/components/schemas/ConfigAll'
              description: >-
                All configuration parameters for the requested masterchain
                seqno.
    TonResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        result:
          anyOf:
            - type: string
            - items: {}
              type: array
            - type: object
          title: Result
        error:
          type: string
          title: Error
        code:
          type: integer
          title: Code
      type: object
      required:
        - ok
      title: TonResponse
    ConfigAll:
      type: object
      description: All configuration parameters at a specific masterchain state.
      properties:
        '@type':
          type: string
          example: configInfo
        config:
          $ref: '#/components/schemas/TvmCell'
          description: TVM cell containing all configuration parameters.
        '@extra':
          type: string
          description: Extra metadata for the response.
      required:
        - config
    TvmCell:
      type: object
      description: Raw TVM cell serialized as base64 bytes.
      properties:
        '@type':
          type: string
          example: tvm.cell
        bytes:
          type: string
          description: Base64-encoded BOC bytes.
      required:
        - bytes

````